Cloady Docs
API ReferenceEndpointsVariables

Create a new environment variable or credential

POST
/api/workspaces/{workspaceSlug}/apps/{appSlug}/vars
AuthorizationBearer <token>

Personal API token (cldy_…)

In: header

Path Parameters

workspaceSlug*string
appSlug*string

Query Parameters

env?string

Value in

  • "production"
  • "preview"
  • "development"
region?string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/api/workspaces/string/apps/string/vars" \  -H "Content-Type: application/json" \  -d '{    "key": "string",    "value": "string"  }'
{  "var": {    "id": "string",    "key": "string",    "value": "string",    "isSecret": true,    "kind": "string",    "updatedAt": "string"  }}